POST /projects/{project_id}/domains/{domain}/transfer-out
Prepare an outbound transfer
Administrator SESSION route (console). Served only when the service is open to the account (404 not_found otherwise). Non-administrator member: 403. Unlocks the domain then returns its authorisation code ONCE (no-store). 5 requests per hour per account.
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | project identifier |
domain | path | string · required | domain name |
Responses
| Status | Description | Body |
|---|---|---|
200 | Authorisation code and next steps | object |
404 | domain_not_found | Error |
409 | domain_transfer_out_status, domain_transfer_out_locked_60_days | Error |
422 | domain_transfer_out_refused | Error |
429 | Too many requests | Error |
503 | domain_transfer_out_unavailable | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/projects/<project_id>/domains/<domain>/transfer-out" \
-H "Authorization: Bearer $GALON_API_KEY"